/*
 * DataIO Library for ESP32 I2C Sensor access
 *
 * (c) 2020 Matthias Thiele
 */
package de.mmth.dataio.csv;

/**
 * Supports integer columns. The value will
 * be scaled by the rational values.
 * 
 * @author matthias
 */
public class RationalColumn extends Column {

  private final long factor;
  private final long denominator;
  
  /**
   * Constructor with rational scaling factor
   * @param factor
   * @param denominator 
   */
  public RationalColumn(int factor, int denominator) {
    this.factor = factor;
    this.denominator = denominator;
  }
  
  @Override
  public String format(int value) {
    return Long.toString((value * factor) / denominator);
  }
}
