/*
 * DataIO Library for ESP32 I2C Sensor access
 *
 * (c) 2020 Matthias Thiele
 */
package de.mmth.dataio.sensors;

/**
 *
 * @author matthias
 */
public class AnalogOut extends SensorBase {
  
  private final int channel;
  
  /**
   * Set analog output voltage of the selected channel
   * @param channel 
   */
  public AnalogOut(int channel) {
    this.channel = channel;
  }

  /**
   * Set voltage
   * @param value 
   */
  public void setValue(int value) {
    String path = "b/" + channel + "/0/" + value;
    internalGetValue(path);
  }
  
}
