/*
 * DataIO Library for ESP32 I2C Sensor access
 *
 * (c) 2020 Matthias Thiele
 */
package de.mmth.dataio.sensors;

/**
 * Read from MCP23017 Port Extender
 * 
 * @author matthias
 */
public class DigitalIn extends SensorBase {
  
  private final int channel;
  
  /**
   * Constructor with channel selector. Each MCP
   * supports two channels.
   * @param channel 
   */
  public DigitalIn(int channel) {
    this.channel = channel;
  }
  
  /**
   * Read a byte value of the defined channel with retry.
   * @return 
   */
  public int getValue() {
    String path = "c/" + channel + "/0/0";
    int result = internalGetValue(path);
    
    return result;
  }
  
}
