/*
 * DataIO Library for ESP32 I2C Sensor access
 *
 * (c) 2020 Matthias Thiele
 */
package de.mmth.dataio.csv;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author matthias
 */
public class BooleanColumnTest {
  
  /**
   * Test of format method, of class BooleanColumn.
   */
  @Test
  public void testFormat() {
    System.out.println("format");
    int value = 0x5a;
    BooleanColumn instance = new BooleanColumn(0x55, "hans", "otto");
    String expResult = "otto, otto, hans, hans";
    String result = instance.format(value);
    assertEquals(expResult, result);
  }
  
  /**
   * Test of format method, of class BooleanColumn.
   */
  @Test
  public void testFormat2() {
    System.out.println("format2");
    int value = 0x5a;
    BooleanColumn instance = new BooleanColumn(0x55);
    String expResult = "false, false, true, true";
    String result = instance.format(value);
    assertEquals(expResult, result);
  }
  
  /**
   * Test of format method, of class BooleanColumn.
   */
  @Test
  public void testFormat3() {
    System.out.println("format3");
    int value = 0x0f;
    BooleanColumn instance = new BooleanColumn(0xff);
    String expResult = "true, true, true, true, false, false, false, false";
    String result = instance.format(value);
    assertEquals(expResult, result);
  }
  
}
