/*
 * DataIO Library for ESP32 I2C Sensor access
 *
 * (c) 2020 Matthias Thiele
 */
package de.mmth.dataio.sensors;

import static org.junit.Assert.assertEquals;
import org.junit.Test;

/**
 *
 * @author matthias
 */
public class DigitalOutTest {
  
  /**
   * Test of setValue method, of class DigitalOut.
   */
  @Test
  public void testSetValue() {
    System.out.println("setValue");
    DigitalOut instance = new DigitalOut(1);
    
    for (int i = 0; i < 256; i++) {
      instance.setValue(i);
      assertEquals(i, instance.getValue());
    }
  }
  
  /**
   * Test of setBit and resetBit methods
   */
  @Test
  public void testSetResetBit() {
    System.out.println("setBit/ resetBit");
    DigitalOut instance = new DigitalOut(1);
    
    for (int i = 0; i < 8; i++) {
      instance.setBit(i);
      assertEquals(1 << i, instance.getValue());
      
      instance.resetBit(i);
      assertEquals(0, instance.getValue());
    }
    
    instance.setBit(0);
    instance.setBit(2);
    instance.setBit(4);
    instance.setBit(6);
    assertEquals(0x55, instance.getValue());
    
    instance.setValue(0xff);
    instance.resetBit(1);
    instance.resetBit(3);
    instance.resetBit(5);
    instance.resetBit(7);
    assertEquals(0x55, instance.getValue());
    
  }
}
